GNU bug report logs - #39045
Fwd: Possible regression - "repeated buffer insertion consumes excessive memory"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Peter Ludemann <peter.ludemann@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 39045 <at> debbugs.gnu.org and Peter Ludemann <peter.ludemann@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39045 <at> debbugs.gnu.org:


Received: (at 39045) by debbugs.gnu.org; 21 Jun 2022 11:46:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 21 07:46:39 2022
Received: from localhost ([127.0.0.1]:59322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3cL6-0001U9-5i
	for submit <at> debbugs.gnu.org; Tue, 21 Jun 2022 07:46:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o3cL4-0001Nu-BN
 for 39045 <at> debbugs.gnu.org; Tue, 21 Jun 2022 07:46:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Ec549rCh0yi2shN1iTYr8Vma6HRNXtiyWot97cGQCs4=; b=vGcyf4So7NaC3TFsRsxdvGrqjQ
 6hV06R1iz+08kK3WM7HL7MybettVqRX0Zzjk1GuzQWYvbkF7uw7sDfbAqz+gBUB1yb+z6ghq62a3f
 jyXn4dtu+fgnxV+XFck0TvTewmYpaYeBMUIB7TMn5Hv48AyaltKAVjSGUAGKwHGhAspM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o3cKw-0004k8-0c; Tue, 21 Jun 2022 13:46:28 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Peter Ludemann <peter.ludemann@HIDDEN>
Subject: Re: bug#39045: Fwd: Possible regression - "repeated buffer
 insertion consumes excessive memory"
References: <CAHjfyZ2mME-PQWnwb=tO1Acju=Jxnj5yKjHc1pacu_CuW+3Vfw@HIDDEN>
 <CAHjfyZ12-x_iD1a_NX9-dQZns1x6L4SGi6D59TtBZGZiubCbVw@HIDDEN>
 <87v8two77o.fsf@HIDDEN>
X-Now-Playing: Depeche Mode's _Construction Time Again_: "The Landscape Is
 Changing"
Date: Tue, 21 Jun 2022 13:46:25 +0200
In-Reply-To: <87v8two77o.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 23 May 2022 12:48:27 +0200")
Message-ID: <87tu8exmr2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Do you still
 see this problem in Emacs 28.1? If so, do you have a > recipe to reproduce
 it, starting from "emacs -Q"? More information was requested, but no response
 was given within a month, so I'm closing this bug report. If the problem
 still exists, please respond to this email and we'll reopen the bug report.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39045
Cc: 39045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Do you still see this problem in Emacs 28.1?  If so, do you have a
> recipe to reproduce it, starting from "emacs -Q"?

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39045; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39045 <at> debbugs.gnu.org:


Received: (at 39045) by debbugs.gnu.org; 23 May 2022 10:48:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 23 06:48:41 2022
Received: from localhost ([127.0.0.1]:47405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nt5c8-0002en-VU
	for submit <at> debbugs.gnu.org; Mon, 23 May 2022 06:48:41 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nt5c6-0002eS-8P
 for 39045 <at> debbugs.gnu.org; Mon, 23 May 2022 06:48:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=9Uxeh93B+1upk3ND77PfF5nHHfpWNpXgFnTOpieEx0A=; b=tLTJYca2JrM2x3bs0guYLT+rXu
 Z3IdUr/vsUrzkYLkKz8KQjuN2SnwvPUHc0YjuTAP736QcG1cKlqns+WfuvvP6Ap1rdPtNYkRpmzac
 SkJYGB12WLr/B4lqkHqRfhTDjc0Z46+27ist6vpOtccoMQzI1Rg58X3whZ3PqY5CA6lQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nt5bx-00011W-Sq; Mon, 23 May 2022 12:48:32 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Peter Ludemann <peter.ludemann@HIDDEN>
Subject: Re: bug#39045: Fwd: Possible regression - "repeated buffer
 insertion consumes excessive memory"
References: <CAHjfyZ2mME-PQWnwb=tO1Acju=Jxnj5yKjHc1pacu_CuW+3Vfw@HIDDEN>
 <CAHjfyZ12-x_iD1a_NX9-dQZns1x6L4SGi6D59TtBZGZiubCbVw@HIDDEN>
X-Now-Playing: The Durutti Column's _Love in the Time of Recession_: "Wild
 Beast Tamed"
Date: Mon, 23 May 2022 12:48:27 +0200
In-Reply-To: <CAHjfyZ12-x_iD1a_NX9-dQZns1x6L4SGi6D59TtBZGZiubCbVw@HIDDEN>
 (Peter Ludemann's message of "Wed, 8 Jan 2020 16:08:25 -0800")
Message-ID: <87v8two77o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Peter Ludemann <peter.ludemann@HIDDEN> writes: > I'm
 observing
 creeping memory increase (at one point, emacs was using > over 3.8GB before
 I restarted it), possibly related to running > compilations with large amounts
 of output. Seems related to B [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39045
Cc: 39045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Peter Ludemann <peter.ludemann@HIDDEN> writes:

> I'm observing creeping memory increase (at one point, emacs was using
> over 3.8GB before I restarted it), possibly related to running
> compilations with large amounts of output. Seems related to Bug#26952
> (which my Bug#38629 seemed to be a duplicate of), and which was fixed
> in emacs 26.3. It seems to have reappeared in emacs 28.0.50, but with
> a difference -- I'm not seeing the high CPU usage that I previously
> observed with the high memory use (perhaps this is because
> global-auto-revert has been improved in 28.0.50).
>
> What information should I collect to confirm this problem and to help
> someone debug it?

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Do you still see this problem in Emacs 28.1?  If so, do you have a
recipe to reproduce it, starting from "emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39045; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2020 00:09:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 19:09:20 2020
Received: from localhost ([127.0.0.1]:51494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipLO3-0006M8-KE
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 19:09:20 -0500
Received: from lists.gnu.org ([209.51.188.17]:33238)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <peter.ludemann@HIDDEN>) id 1ipLO1-0006Ly-Bz
 for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 19:09:18 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:56518)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <peter.ludemann@HIDDEN>) id 1ipLNr-000816-Nu
 for bug-gnu-emacs@HIDDEN; Wed, 08 Jan 2020 19:09:17 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <peter.ludemann@HIDDEN>) id 1ipLNp-0004ch-Al
 for bug-gnu-emacs@HIDDEN; Wed, 08 Jan 2020 19:09:07 -0500
Received: from mail-lj1-x232.google.com ([2a00:1450:4864:20::232]:39911)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <peter.ludemann@HIDDEN>)
 id 1ipLNo-0004Xu-VQ
 for bug-gnu-emacs@HIDDEN; Wed, 08 Jan 2020 19:09:05 -0500
Received: by mail-lj1-x232.google.com with SMTP id l2so5221706lja.6
 for <bug-gnu-emacs@HIDDEN>; Wed, 08 Jan 2020 16:09:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=i97g19V4n5FkvGoUMajmpf6nOoyXFK6v45fHalzKO8c=;
 b=UGNAl+BUZ8VSN9KvoVwIZMwpW+Zz79RQSH8yvIG1SXfWnefJfs7UAmkdVMYyWN6Aen
 v3USZmSpjq+IDBAoBj1aJwgaaKAPPP/+GxUXNEm3NQ7N+EOansgqpnVWFzXVUkE+DpTB
 n0uLQsXTOc7MIplpV/HNN8iXlgIF9j/0z5p6hBv6Rwe6gfB8/kf5WuwOQxIQTVaaCAIl
 KSPSD5Bh8DJpCoJvNmsM+LhqI4QUZObpGfrKwgtheuHZs29J/inA745UZ2vgNz9jxgfJ
 DDCro+oJXcULYUuCAgtkswxWfmh4q1uNowH7SOVk2EtbDAyO/KJsvWDpXjvv3gGe4jmP
 62Sw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=i97g19V4n5FkvGoUMajmpf6nOoyXFK6v45fHalzKO8c=;
 b=PKDDQmPWUUQGVSDDYHspt6gfWw2dSjne8kEgibB1UvtfMgY35ybMYYd1pIFZadNjGD
 ABUl53y+uczvizlf58YUNdwP3wljcofyTrSeVXl8b05iPfXoGD1QWmWubwPGDwDx62EF
 4wXYVvCJdpc6hAz6jgY8kVd8uD6RrJL8IN9RG42cYJkBKKzw6K6ibjBoHH3dSuR26CSf
 VwI/vg3umIhkTxn9NdiVJEh83GDsI4WPVfUO7aHFEnDKnbJwHWQbKYRu3hwGzpo0OuVT
 6ZR22xKuRAzWrd84ZdderaQOkJR0eqdLGwCK6vVTtt3OWWQWvcb2R81/XN4aMR8ImMJT
 Pdbw==
X-Gm-Message-State: APjAAAWmh8dx+lKxc3Dg6rAq5lkYPTNxQw+3wQ0b1NbmPIm/CXkHGwcV
 kR0wTOUjzrXe54ShX6t16Zsx9cWs/50uNPV4EExS9y1L
X-Google-Smtp-Source: APXvYqy4/z8sgqyulddS0Iefw7dddKwCYGW6M/helwWJhZYPbf+FoakvyPSROzB0T+y8ovEUpwyh+mmkQmLpZKQfKo4=
X-Received: by 2002:a2e:88d6:: with SMTP id a22mr4264659ljk.163.1578528541634; 
 Wed, 08 Jan 2020 16:09:01 -0800 (PST)
MIME-Version: 1.0
References: <CAHjfyZ2mME-PQWnwb=tO1Acju=Jxnj5yKjHc1pacu_CuW+3Vfw@HIDDEN>
In-Reply-To: <CAHjfyZ2mME-PQWnwb=tO1Acju=Jxnj5yKjHc1pacu_CuW+3Vfw@HIDDEN>
From: Peter Ludemann <peter.ludemann@HIDDEN>
Date: Wed, 8 Jan 2020 16:08:25 -0800
Message-ID: <CAHjfyZ12-x_iD1a_NX9-dQZns1x6L4SGi6D59TtBZGZiubCbVw@HIDDEN>
Subject: Fwd: Possible regression - "repeated buffer insertion consumes
 excessive memory"
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000fe0bac059ba9d0bc"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::232
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000fe0bac059ba9d0bc
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I'm observing creeping memory increase (at one point, emacs was using over
3.8GB before I restarted it), possibly related to running compilations with
large amounts of output. Seems related to Bug#26952 (which my Bug#38629
seemed to be a duplicate of), and which was fixed in emacs 26.3. It seems
to have reappeared in emacs 28.0.50, but with a difference -- I'm not
seeing the high CPU usage that I previously observed with the high memory
use (perhaps this is because global-auto-revert has been improved in
28.0.50).

What information should I collect to confirm this problem and to help
someone debug it?

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2020-01-07 built on wistaria5b
Repository revision: 724af7671590cd91df37f64df6be73f6dca0144d
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Ubuntu 18.04.3 LTS

Recent messages:
Reverting buffer =E2=80=98pykythe_utils.pl=E2=80=99.
You can run the command =E2=80=98compile=E2=80=99 with C-x C-g g
Reverting buffer =E2=80=98TAGS=E2=80=99.
Reverting buffer =E2=80=98FILES.js=E2=80=99. [2 times]
Reverting buffer =E2=80=98t10.kythe.json-decoded=E2=80=99. [2 times]
Compilation finished
You can run the command =E2=80=98garbage-collect=E2=80=99 with M-x ga RET
x is undefined [3 times]
Making completion list...
Quit
Quit
Configured using:
 'configure --prefix=3D/home/peter/emacs-2019-12-17'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS PDUMPER GMP

Important settings:
  value of $LC_MONETARY: en_CA.UTF-8
  value of $LC_NUMERIC: en_CA.UTF-8
  value of $LC_TIME: en_CA.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Compilation

Minor modes in effect:
  shell-dirtrack-mode: t
  global-auto-revert-mode: t
  show-paren-mode: t
  display-time-mode: t
  savehist-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
~/emacs/prolog hides
/home/peter/emacs-2019-12-17/share/emacs/28.0.50/lisp/progmodes/prolog

Features:
(shadow mail-extr emacsbug message rmc rfc822 mml mml-sec epa derived
epg epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail sort pulse vc vc-dispatcher
misearch multi-isearch tabify man pcmpl-unix pcmpl-gnu mule-util server
asm-mode conf-mode tar-mode arc-mode archive-mode add-log rst
haskell-mode haskell-cabal haskell-utils haskell-font-lock
haskell-indentation haskell-string haskell-sort-imports haskell-lexeme
rx haskell-align-imports haskell-compat haskell-complete-module
haskell-ghc-support flymake-proc flymake warnings dabbrev
haskell-customize doc-view jka-compr image-mode exif go-mode find-file
ffap etags fileloop generator xref project mhtml-mode css-mode sgml-mode
eww mm-url gnus nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045
ietf-drums mail-utils wid-edit mm-util mail-prsvr url-queue url
url-proxy url-privacy url-expand url-methods url-history mailcap shr
text-property-search url-cookie url-domsuf url-util puny svg xml dom
sh-script smie executable markdown-mode color thingatpt noutline outline
dired dired-loaddefs js cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs make-mode smerge-mode diff
prolog align imenu vc-git diff-mode easy-mmode python tramp-sh tramp
tramp-loaddefs trampver tramp-integration files-x tramp-compat shell
pcomplete parse-time iso8601 time-date ls-lisp format-spec finder-inf
cl-extra help-mode autorevert filenotify grep compile comint ansi-color
ring cus-start cus-load paren time savehist desktop frameset info
package easymenu browse-url url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 553627 84742)
 (symbols 48 27664 5)
 (strings 32 109868 12210)
 (string-bytes 1 4407199)
 (vectors 16 47901)
 (vector-slots 8 1347908 158898)
 (floats 8 232 330)
 (intervals 56 48562 536)
 (buffers 1000 503))

--000000000000fe0bac059ba9d0bc
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:verdana,=
sans-serif">I&#39;m observing creeping memory increase (at one point, emacs=
 was using over 3.8GB before I restarted it), possibly related to running c=
ompilations with large amounts of output. Seems related to Bug#26952 (which=
 my Bug#38629 seemed to be a duplicate of), and which was fixed in emacs 26=
.3. It seems to have reappeared in emacs 28.0.50, but with a difference -- =
I&#39;m not seeing the high CPU usage that I previously observed with the h=
igh memory use (perhaps this is because global-auto-revert has been improve=
d in 28.0.50).<br></div><div class=3D"gmail_quote"><div dir=3D"ltr"><div st=
yle=3D"font-family:verdana,sans-serif"></div><div style=3D"font-family:verd=
ana,sans-serif"><br></div><div style=3D"font-family:verdana,sans-serif">Wha=
t information should I collect to confirm this problem and to help someone =
debug it?</div><div style=3D"font-family:verdana,sans-serif"><br></div><div=
 style=3D"font-family:verdana,sans-serif">In GNU Emacs 28.0.50 (build 1, x8=
6_64-pc-linux-gnu, GTK+ Version 3.22.30)<br>=C2=A0of 2020-01-07 built on wi=
staria5b<br>Repository revision: 724af7671590cd91df37f64df6be73f6dca0144d<b=
r>Repository branch: master<br>Windowing system distributor &#39;The X.Org =
Foundation&#39;, version 11.0.11906000<br>System Description: Ubuntu 18.04.=
3 LTS<br><br>Recent messages:<br>Reverting buffer =E2=80=98<a href=3D"http:=
//pykythe_utils.pl" target=3D"_blank">pykythe_utils.pl</a>=E2=80=99.<br>You=
 can run the command =E2=80=98compile=E2=80=99 with C-x C-g g<br>Reverting =
buffer =E2=80=98TAGS=E2=80=99.<br>Reverting buffer =E2=80=98FILES.js=E2=80=
=99. [2 times]<br>Reverting buffer =E2=80=98t10.kythe.json-decoded=E2=80=99=
. [2 times]<br>Compilation finished<br>You can run the command =E2=80=98gar=
bage-collect=E2=80=99 with M-x ga RET<br>x is undefined [3 times]<br>Making=
 completion list...<br>Quit<br>Quit<br>Configured using:<br>=C2=A0&#39;conf=
igure --prefix=3D/home/peter/emacs-2019-12-17&#39;<br><br>Configured featur=
es:<br>XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY<=
br>GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB<br>TOOLKIT_SCR=
OLL_BARS GTK3 X11 XDBE XIM MODULES THREADS PDUMPER GMP<br><br>Important set=
tings:<br>=C2=A0 value of $LC_MONETARY: en_CA.UTF-8<br>=C2=A0 value of $LC_=
NUMERIC: en_CA.UTF-8<br>=C2=A0 value of $LC_TIME: en_CA.UTF-8<br>=C2=A0 val=
ue of $LANG: en_US.UTF-8<br>=C2=A0 value of $XMODIFIERS: @im=3Dibus<br>=C2=
=A0 locale-coding-system: utf-8-unix<br><br>Major mode: Compilation<br><br>=
Minor modes in effect:<br>=C2=A0 shell-dirtrack-mode: t<br>=C2=A0 global-au=
to-revert-mode: t<br>=C2=A0 show-paren-mode: t<br>=C2=A0 display-time-mode:=
 t<br>=C2=A0 savehist-mode: t<br>=C2=A0 desktop-save-mode: t<br>=C2=A0 tool=
tip-mode: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 electric-indent-mode: =
t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-n=
ame-shadow-mode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lock-m=
ode: t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t=
<br>=C2=A0 auto-compression-mode: t<br>=C2=A0 buffer-read-only: t<br>=C2=A0=
 column-number-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 transient-ma=
rk-mode: t<br><br>Load-path shadows:<br>~/emacs/prolog hides /home/peter/em=
acs-2019-12-17/share/emacs/28.0.50/lisp/progmodes/prolog<br><br>Features:<b=
r>(shadow mail-extr emacsbug message rmc rfc822 mml mml-sec epa derived<br>=
epg epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231<br>mailabbr=
ev gmm-utils mailheader sendmail sort pulse vc vc-dispatcher<br>misearch mu=
lti-isearch tabify man pcmpl-unix pcmpl-gnu mule-util server<br>asm-mode co=
nf-mode tar-mode arc-mode archive-mode add-log rst<br>haskell-mode haskell-=
cabal haskell-utils haskell-font-lock<br>haskell-indentation haskell-string=
 haskell-sort-imports haskell-lexeme<br>rx haskell-align-imports haskell-co=
mpat haskell-complete-module<br>haskell-ghc-support flymake-proc flymake wa=
rnings dabbrev<br>haskell-customize doc-view jka-compr image-mode exif go-m=
ode find-file<br>ffap etags fileloop generator xref project mhtml-mode css-=
mode sgml-mode<br>eww mm-url gnus nnheader gnus-util rmail rmail-loaddefs r=
fc2047 rfc2045<br>ietf-drums mail-utils wid-edit mm-util mail-prsvr url-que=
ue url<br>url-proxy url-privacy url-expand url-methods url-history mailcap =
shr<br>text-property-search url-cookie url-domsuf url-util puny svg xml dom=
<br>sh-script smie executable markdown-mode color thingatpt noutline outlin=
e<br>dired dired-loaddefs js cc-mode cc-fonts cc-guess cc-menus cc-cmds<br>=
cc-styles cc-align cc-engine cc-vars cc-defs make-mode smerge-mode diff<br>=
prolog align imenu vc-git diff-mode easy-mmode python tramp-sh tramp<br>tra=
mp-loaddefs trampver tramp-integration files-x tramp-compat shell<br>pcompl=
ete parse-time iso8601 time-date ls-lisp format-spec finder-inf<br>cl-extra=
 help-mode autorevert filenotify grep compile comint ansi-color<br>ring cus=
-start cus-load paren time savehist desktop frameset info<br>package easyme=
nu browse-url url-handlers url-parse auth-source cl-seq<br>eieio eieio-core=
 cl-macs eieio-loaddefs password-cache json subr-x map<br>url-vars seq byte=
-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib<br>tooltip eldoc ele=
ctric uniquify ediff-hook vc-hooks lisp-float-type<br>mwheel term/x-win x-w=
in term/common-win x-dnd tool-bar dnd fontset image<br>regexp-opt fringe ta=
bulated-list replace newcomment text-mode elisp-mode<br>lisp-mode prog-mode=
 register page tab-bar menu-bar rfn-eshadow isearch<br>timer select scroll-=
bar mouse jit-lock font-lock syntax facemenu<br>font-core term/tty-colors f=
rame minibuffer cl-generic cham georgian<br>utf-8-lang misc-lang vietnamese=
 tibetan thai tai-viet lao korean<br>japanese eucjp-ms cp51932 hebrew greek=
 romanian slovak czech european<br>ethiopic indian cyrillic chinese composi=
te charscript charprop<br>case-table epa-hook jka-cmpr-hook help simple abb=
rev obarray<br>cl-preloaded nadvice loaddefs button faces cus-face macroexp=
 files<br>text-properties overlay sha1 md5 base64 format env code-pages mul=
e<br>custom widget hashtable-print-readable backquote threads dbusbind<br>i=
notify dynamic-setting system-font-setting font-render-setting<br>move-tool=
bar gtk x-toolkit x multi-tty make-network-process emacs)<br><br>Memory inf=
ormation:<br>((conses 16 553627 84742)<br>=C2=A0(symbols 48 27664 5)<br>=C2=
=A0(strings 32 109868 12210)<br>=C2=A0(string-bytes 1 4407199)<br>=C2=A0(ve=
ctors 16 47901)<br>=C2=A0(vector-slots 8 1347908 158898)<br>=C2=A0(floats 8=
 232 330)<br>=C2=A0(intervals 56 48562 536)<br>=C2=A0(buffers 1000 503))<br=
></div></div>
</div></div>

--000000000000fe0bac059ba9d0bc--




Acknowledgement sent to Peter Ludemann <peter.ludemann@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39045; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 21 Jun 2022 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.